/*******************************************************************************
*
* Copyright 2004-2016, Freescale Semiconductor, Inc.
* Copyright 2016-2019 NXP
* All rights reserved.
*
********************************************************************************
*
* FILE NAME: board.h   
*
* DESCRIPTION: This file contains board-specific macros and constants which 
*              are used by sample applications in this file's directory.
*
* TARGET: MC56F827xx device, FRDM-56F83000 evaluation board
*
*******************************************************************************/
#if(0)    //js 2/11
#ifndef __BOARD_H
#define __BOARD_H

/* three basic LEDs on a single port */
#define GPIO_LEDS   GPIO_E
#define LED_G       BIT_0
#define LED_Y       BIT_1

/* alternate LEDs, each may be on a separate port */
#define GPIO_LED_R2 GPIO_F
#define LED_R2      BIT_8

#define GPIO_LED_G2 GPIO_F
#define LED_G2      BIT_9

#define GPIO_LED_B2 GPIO_F
#define LED_B2      BIT_10

#define GPIO_LED_Y2 GPIO_F
#define LED_Y2      BIT_11


/* GPIO active-low buttons */
#define GPIO_BTN_0  GPIO_F 		//SW4
#define BTN_0       BIT_6

#define GPIO_BTN_1  GPIO_C		//SW5
#define BTN_1       BIT_4

#define GPIO_BTN_2  GPIO_F		//SW2
#define BTN_2       BIT_15

#define GPIO_BTN_3  GPIO_F		//SW3
#define BTN_3       BIT_1

/* OSBDM CDC needs following jumpers settings: */
/* jumper J6 open -> disable Bootload */
/* SCI port used as a RS232 connection */
#define SCI_RS232   SCI_1

/* general purpose timer available on the device and board */
#define QTIMER_DEMO QTIMER_A0

#endif /* __BOARD_H */
#endif //0